export declare const GITEE_BASE_URL = "https://gitee.com/api/v5";
export declare const GITHUB_BASE_URL = "https://api.github.com";
export declare const GITLAB_BASE_URL = "";
export declare const DEFAULT_CLI_HOME = ".stage-cli";
export declare const GIT_ROOT_DIR = ".git";
export declare const GIT_SERVER_FILE = ".git_server";
export declare const GIT_OWN_FILE = ".git_own";
export declare const GIT_LOGIN_FILE = ".git_login";
export declare const GIT_IGNORE_FILE = ".gitignore";
export declare const GITHUB = "github";
export declare const GITEE = "gitee";
export declare const GITLAB = "gitlab";
export declare const REPO_OWNER_USER = "user";
export declare const REPO_OWNER_ORG = "org";
export declare const VERSION_RELEASE = "release";
export declare const VERSION_FEATURE = "feature";
export declare const GIT_TOKEN_FILE_MAP: {
    github: string;
    gitee: string;
    gitlab: string;
};
export declare const INQUIRE_GIT_PLATFORMS: {
    name: string;
    value: string;
}[];
export declare const GIT_OWNER_TYPE: {
    name: string;
    value: string;
}[];
export declare const GIT_OWNER_TYPE_ONLY: {
    name: string;
    value: string;
}[];
export declare const IGNORE_FILE_CONTENT = ".DS_Store\nnode_modules\n/dist\n\n# local env files\n.env.local\n.env.*.local\n\n# Log files\nnpm-debug.log*\nyarn-debug.log*\nyarn-error.log*\npnpm-debug.log*\n\n# Editor directories and files\n.idea\n.vscode\n*.suo\n*.ntvs*\n*.njsproj\n*.sln\n*.sw?\n.cache/\ntypings/\n";
export declare const VERSION_MAP_REG: {
    release: RegExp;
    feature: RegExp;
    develop: RegExp;
};
