import { AxiosResponse } from 'axios';
export default class GitServer {
    type: string;
    token?: string | undefined;
    constructor(type: string, token?: string | undefined);
    setToken(token: string): void;
    createRepo(projectName: string): void;
    createOrgRepo(loginName: string, projectName: string): void;
    getRemote(loginName: string, projectName: string): void;
    getUser(): void;
    getOrg(username: string): void;
    getRepo(loginName: string, projectName: string): void;
    getTokenUrl(): void;
    getTokenHelpUrl(): void;
    isHttpResponse: (res: AxiosResponse) => number;
    handleResponse(res: AxiosResponse): AxiosResponse<any, any> | null;
}
