"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helper_1 = require("./helper");
var GitServer = /** @class */ (function () {
    function GitServer(type, token) {
        this.type = type;
        this.token = token;
        this.isHttpResponse = function (res) { return res && res.status; };
        this.type = type;
        this.token = token;
    }
    GitServer.prototype.setToken = function (token) {
        this.token = token;
    };
    GitServer.prototype.createRepo = function (projectName) {
        (0, helper_1.classMethodNotImplError)('createRepo');
    };
    GitServer.prototype.createOrgRepo = function (loginName, projectName) {
        (0, helper_1.classMethodNotImplError)('createOrgRepo');
    };
    GitServer.prototype.getRemote = function (loginName, projectName) {
        (0, helper_1.classMethodNotImplError)('getRemote');
    };
    GitServer.prototype.getUser = function () {
        (0, helper_1.classMethodNotImplError)('getUser');
    };
    GitServer.prototype.getOrg = function (username) {
        (0, helper_1.classMethodNotImplError)('getOrg');
    };
    GitServer.prototype.getRepo = function (loginName, projectName) {
        (0, helper_1.classMethodNotImplError)('getRepo');
    };
    GitServer.prototype.getTokenUrl = function () {
        (0, helper_1.classMethodNotImplError)('getTokenUrl');
    };
    GitServer.prototype.getTokenHelpUrl = function () {
        (0, helper_1.classMethodNotImplError)('getTokenHelpUrl');
    };
    GitServer.prototype.handleResponse = function (res) {
        if (this.isHttpResponse(res) && res.status !== 200)
            return null;
        return res;
    };
    return GitServer;
}());
exports.default = GitServer;
;
//# sourceMappingURL=git-server.js.map