"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidCommitMsg = exports.classMethodNotImplError = void 0;
var classMethodNotImplError = function (methodName) {
    throw new Error("The ".concat(methodName, " should be implemented."));
};
exports.classMethodNotImplError = classMethodNotImplError;
var isValidCommitMsg = function (msg) {
    return /^(build|chore|ci|docs|feat|fix|perf|refactor|revert|style|test)\:\s.+$/.test(msg);
};
exports.isValidCommitMsg = isValidCommitMsg;
//# sourceMappingURL=helper.js.map