import { GitPlatformType, UpgradeVersionType } from './interface';
export declare const inquireGitPlatform: () => Promise<{
    gitType: GitPlatformType;
}>;
export declare const inquireGitToken: () => Promise<{
    token: string;
}>;
export declare const inquireRepoOwner: (orgs: any) => Promise<{
    owner: string;
}>;
export declare const inquireOrg: (orgs: any) => Promise<{
    login: string;
}>;
export declare const inquireCommitMessage: () => Promise<{
    message: string;
}>;
export declare const inquireUpgradeVersionType: (releaseVersion: string) => Promise<{
    upgradeType: UpgradeVersionType;
}>;
