import GitServer from './git-server';
import GiteeRequest from './gitee-request';
import { AxiosPromise } from 'axios';
export default class Gitee extends GitServer {
    request: GiteeRequest | null;
    constructor();
    setToken(token: string): void;
    getUser(): AxiosPromise<any> | undefined;
    getOrg(username: string): AxiosPromise<any> | undefined;
    getRepo(loginName: string, projectName: string): Promise<import("axios").AxiosResponse<any, any> | null> | undefined;
    createRepo(projectName: string): AxiosPromise<any> | undefined;
    createOrgRepo(loginName: string, projectName: string): AxiosPromise<any> | undefined;
    getTokenUrl(): string;
    getTokenHelpUrl(): string;
    getRemote(loginName: string, projectName: string): string;
}
