"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VERSION_MAP_REG = exports.IGNORE_FILE_CONTENT = exports.GIT_OWNER_TYPE_ONLY = exports.GIT_OWNER_TYPE = exports.INQUIRE_GIT_PLATFORMS = exports.GIT_TOKEN_FILE_MAP = exports.VERSION_FEATURE = exports.VERSION_RELEASE = exports.REPO_OWNER_ORG = exports.REPO_OWNER_USER = exports.GITLAB = exports.GITEE = exports.GITHUB = exports.GIT_IGNORE_FILE = exports.GIT_LOGIN_FILE = exports.GIT_OWN_FILE = exports.GIT_SERVER_FILE = exports.GIT_ROOT_DIR = exports.DEFAULT_CLI_HOME = exports.GITLAB_BASE_URL = exports.GITHUB_BASE_URL = exports.GITEE_BASE_URL = void 0;
exports.GITEE_BASE_URL = 'https://gitee.com/api/v5';
exports.GITHUB_BASE_URL = 'https://api.github.com';
exports.GITLAB_BASE_URL = '';
exports.DEFAULT_CLI_HOME = '.stage-cli';
exports.GIT_ROOT_DIR = '.git';
exports.GIT_SERVER_FILE = '.git_server';
exports.GIT_OWN_FILE = '.git_own';
exports.GIT_LOGIN_FILE = '.git_login';
exports.GIT_IGNORE_FILE = '.gitignore';
exports.GITHUB = 'github';
exports.GITEE = 'gitee';
exports.GITLAB = 'gitlab';
exports.REPO_OWNER_USER = 'user';
exports.REPO_OWNER_ORG = 'org';
exports.VERSION_RELEASE = 'release';
exports.VERSION_FEATURE = 'feature';
exports.GIT_TOKEN_FILE_MAP = {
    github: '.github_token',
    gitee: '.gitee_token',
    gitlab: '.gitlab_token',
};
exports.INQUIRE_GIT_PLATFORMS = [{
        name: 'Github',
        value: exports.GITHUB,
    }, {
        name: 'Gitlab',
        value: exports.GITLAB,
    }, {
        name: 'Gitee',
        value: exports.GITEE,
    }];
exports.GIT_OWNER_TYPE = [{
        name: 'individual',
        value: exports.REPO_OWNER_USER,
    }, {
        name: 'organization',
        value: exports.REPO_OWNER_ORG,
    }];
exports.GIT_OWNER_TYPE_ONLY = [{
        name: 'individual',
        value: exports.REPO_OWNER_USER,
    }];
exports.IGNORE_FILE_CONTENT = ".DS_Store\nnode_modules\n/dist\n\n# local env files\n.env.local\n.env.*.local\n\n# Log files\nnpm-debug.log*\nyarn-debug.log*\nyarn-error.log*\npnpm-debug.log*\n\n# Editor directories and files\n.idea\n.vscode\n*.suo\n*.ntvs*\n*.njsproj\n*.sln\n*.sw?\n.cache/\ntypings/\n";
exports.VERSION_MAP_REG = {
    release: /.+?refs\/tags\/release\/(\d+\.\d+\.\d+)/g,
    feature: /.+?refs\/heads\/feature\/(\d+\.\d+\.\d+)/g,
    develop: /.+?refs\/heads\/dev\/(\d+\.\d+\.\d+)/g
};
//# sourceMappingURL=constants.js.map