import GitServer from "./git-server";
import GitlabRequest from "./gitlab-request";
import { AxiosPromise } from "axios";
export default class Gitlab extends GitServer {
    request?: GitlabRequest;
    constructor();
    setToken(token: string): void;
    getUser(): AxiosPromise<any> | undefined;
    getOrg(): AxiosPromise<any> | undefined;
    getRepo(loginName: string, projectName: string): Promise<import("axios").AxiosResponse<any, any> | null> | undefined;
    createRepo(projectName: string): AxiosPromise<any> | undefined;
    createOrgRepo(loginName: string, projectName: string): AxiosPromise<any> | undefined;
    getTokenUrl(): string;
    getTokenHelpUrl(): string;
    getRemote(loginName: string, projectName: string): string;
}
